Installing mobilizon failed (dependencies) #2

,

Hi everyone,
Thx for the project, its really usefull and awesome.
I hope in a near futur to free myself some time to help somewhere (package; yunohost; etc…).

I did see that there is another Topic about the same subject but it’s closed with no answer.

My YunoHost server

Hardware: VPS bought online Debian 10
YunoHost version: 4.1.6
I have access to my server : Through SSH | through the webadmin
Are you in a special context or did you perform some particular tweaking on your YunoHost instance ? : yes, i did try to install packages with apt on my own with cmd like this : apt install --dry-run libwxbase3.0-0v5 libwxgtk3.0-0v5 libsctp1 erlang-mode

Description of my issue

I tried to install Mobilizon with the webadmin and it failed with the log message below :

2021-01-26 23:58:32,588: DEBUG - + ynh_die '--message=Unable to install dependencies'
2021-01-26 23:58:32,589: WARNING - The following packages have unmet dependencies:
2021-01-26 23:58:32,590: WARNING -  erlang-base : Conflicts: erlang-base-hipe
2021-01-26 23:58:32,590: WARNING -  esl-erlang : Depends: libncurses5 but it is not going to be installed
2021-01-26 23:58:32,591: WARNING -               Depends: libwxbase2.8-0 but it is not installable or
2021-01-26 23:58:32,592: WARNING -                        libwxbase3.0-0 but it is not installable or
2021-01-26 23:58:32,593: WARNING -                        libwxbase3.0-0v5 but it is not going to be installed
2021-01-26 23:58:32,594: WARNING -               Depends: libwxgtk2.8-0 but it is not installable or
2021-01-26 23:58:32,594: WARNING -                        libwxgtk3.0-0 but it is not installable or
2021-01-26 23:58:32,595: DEBUG - + ret_code=1
2021-01-26 23:58:32,595: WARNING -                        libwxgtk3.0-0v5 but it is not going to be installed or
2021-01-26 23:58:32,596: DEBUG - + echo 'Unable to install dependencies'
2021-01-26 23:58:32,596: WARNING -                        libwxgtk3.0-gtk3-0v5 but it is not going to be installed
2021-01-26 23:58:32,596: DEBUG - + exit 1
2021-01-26 23:58:32,597: WARNING -               Depends: libsctp1 but it is not going to be installed
2021-01-26 23:58:32,597: DEBUG - + ynh_exit_properly
2021-01-26 23:58:32,597: WARNING -               Conflicts: erlang-base but 1:23.2.1-1 is to be installed
2021-01-26 23:58:32,598: DEBUG - + local exit_code=1
2021-01-26 23:58:32,598: WARNING -               Conflicts: erlang-asn1
2021-01-26 23:58:32,598: DEBUG - + '[' 1 -eq 0 ']'
2021-01-26 23:58:32,599: WARNING -               Conflicts: erlang-crypto
2021-01-26 23:58:32,599: DEBUG - + trap '' EXIT
2021-01-26 23:58:32,599: WARNING -               Conflicts: erlang-inets
2021-01-26 23:58:32,600: DEBUG - + set +o errexit
2021-01-26 23:58:32,600: WARNING -               Conflicts: erlang-mnesia
2021-01-26 23:58:32,600: DEBUG - + set +o nounset
2021-01-26 23:58:32,600: WARNING -               Conflicts: erlang-os-mon
2021-01-26 23:58:32,603: DEBUG - + sleep 0.5
2021-01-26 23:58:32,603: WARNING -               Conflicts: erlang-parsetools
2021-01-26 23:58:32,603: WARNING -               Conflicts: erlang-public-key
2021-01-26 23:58:32,604: WARNING -               Conflicts: erlang-runtime-tools
2021-01-26 23:58:32,604: WARNING -               Conflicts: erlang-snmp
2021-01-26 23:58:32,604: WARNING -               Conflicts: erlang-ssl
2021-01-26 23:58:32,605: WARNING -               Conflicts: erlang-syntax-tools
2021-01-26 23:58:32,605: WARNING -               Conflicts: erlang-tools
2021-01-26 23:58:32,605: WARNING -               Conflicts: erlang-xmerl
2021-01-26 23:58:32,606: WARNING -               Recommends: erlang-mode but it is not going to be installed
2021-01-26 23:58:32,606: WARNING - Unable to install dependencies
2021-01-26 23:58:33,108: DEBUG - + type -t ynh_clean_setup
2021-01-26 23:58:33,108: DEBUG - + ynh_clean_setup
2021-01-26 23:58:33,109: DEBUG - + ynh_clean_check_starting
2021-01-26 23:58:33,109: DEBUG - + '[' -n '' ']'
2021-01-26 23:58:33,109: DEBUG - + '[' -n '' ']'
2021-01-26 23:58:33,109: DEBUG - + exit 1
2021-01-26 23:58:33,146: ERROR - Impossible d’installer mobilizon : Une erreur est survenue dans le script d’installation de l’application

Salut tout le monde,
Déjà merci pour ce projet, super utile et génial.
J’espère dans un futur proche pouvoir me libérer du temps pour aider (package; yunohost; etc…).

J’ai vu qu’il y avait un autre topic sur exactement le même sujet mais il est fermé et sans réponse utile.

Mon serveur YunoHost

Matériel: VPS acheté en ligne Debian 10
Version de YunoHost: 4.1.6
J’ai accès à mon serveur : En SSH | Par la webadmin
Êtes-vous dans un contexte particulier ou avez-vous effectué des modificiations particulières sur votre instance ? : oui, j’ai essayé d’installer les package requis à la main: apt install --dry-run libwxbase3.0-0v5 libwxgtk3.0-0v5 libsctp1 erlang-mode

Description du problème

J’ai essayé d’installer Mobilizon depuis le webadmin et ça a échoué

2021-01-26 23:58:32,588: DEBUG - + ynh_die '--message=Unable to install dependencies'
2021-01-26 23:58:32,589: WARNING - The following packages have unmet dependencies:
2021-01-26 23:58:32,590: WARNING -  erlang-base : Conflicts: erlang-base-hipe
2021-01-26 23:58:32,590: WARNING -  esl-erlang : Depends: libncurses5 but it is not going to be installed
2021-01-26 23:58:32,591: WARNING -               Depends: libwxbase2.8-0 but it is not installable or
2021-01-26 23:58:32,592: WARNING -                        libwxbase3.0-0 but it is not installable or
2021-01-26 23:58:32,593: WARNING -                        libwxbase3.0-0v5 but it is not going to be installed
2021-01-26 23:58:32,594: WARNING -               Depends: libwxgtk2.8-0 but it is not installable or
2021-01-26 23:58:32,594: WARNING -                        libwxgtk3.0-0 but it is not installable or
2021-01-26 23:58:32,595: DEBUG - + ret_code=1
2021-01-26 23:58:32,595: WARNING -                        libwxgtk3.0-0v5 but it is not going to be installed or
2021-01-26 23:58:32,596: DEBUG - + echo 'Unable to install dependencies'
2021-01-26 23:58:32,596: WARNING -                        libwxgtk3.0-gtk3-0v5 but it is not going to be installed
2021-01-26 23:58:32,596: DEBUG - + exit 1
2021-01-26 23:58:32,597: WARNING -               Depends: libsctp1 but it is not going to be installed
2021-01-26 23:58:32,597: DEBUG - + ynh_exit_properly
2021-01-26 23:58:32,597: WARNING -               Conflicts: erlang-base but 1:23.2.1-1 is to be installed
2021-01-26 23:58:32,598: DEBUG - + local exit_code=1
2021-01-26 23:58:32,598: WARNING -               Conflicts: erlang-asn1
2021-01-26 23:58:32,598: DEBUG - + '[' 1 -eq 0 ']'
2021-01-26 23:58:32,599: WARNING -               Conflicts: erlang-crypto
2021-01-26 23:58:32,599: DEBUG - + trap '' EXIT
2021-01-26 23:58:32,599: WARNING -               Conflicts: erlang-inets
2021-01-26 23:58:32,600: DEBUG - + set +o errexit
2021-01-26 23:58:32,600: WARNING -               Conflicts: erlang-mnesia
2021-01-26 23:58:32,600: DEBUG - + set +o nounset
2021-01-26 23:58:32,600: WARNING -               Conflicts: erlang-os-mon
2021-01-26 23:58:32,603: DEBUG - + sleep 0.5
2021-01-26 23:58:32,603: WARNING -               Conflicts: erlang-parsetools
2021-01-26 23:58:32,603: WARNING -               Conflicts: erlang-public-key
2021-01-26 23:58:32,604: WARNING -               Conflicts: erlang-runtime-tools
2021-01-26 23:58:32,604: WARNING -               Conflicts: erlang-snmp
2021-01-26 23:58:32,604: WARNING -               Conflicts: erlang-ssl
2021-01-26 23:58:32,605: WARNING -               Conflicts: erlang-syntax-tools
2021-01-26 23:58:32,605: WARNING -               Conflicts: erlang-tools
2021-01-26 23:58:32,605: WARNING -               Conflicts: erlang-xmerl
2021-01-26 23:58:32,606: WARNING -               Recommends: erlang-mode but it is not going to be installed
2021-01-26 23:58:32,606: WARNING - Unable to install dependencies
2021-01-26 23:58:33,108: DEBUG - + type -t ynh_clean_setup
2021-01-26 23:58:33,108: DEBUG - + ynh_clean_setup
2021-01-26 23:58:33,109: DEBUG - + ynh_clean_check_starting
2021-01-26 23:58:33,109: DEBUG - + '[' -n '' ']'
2021-01-26 23:58:33,109: DEBUG - + '[' -n '' ']'
2021-01-26 23:58:33,109: DEBUG - + exit 1
2021-01-26 23:58:33,146: ERROR - Impossible d’installer mobilizon : Une erreur est survenue dans le script d’installation de l’application

Sounds like that’s the issue … do you happen to have onlyoffice installed ? There’s a known stupid conflict between mobilizon and onlyoffice because:

  • mobilizon requires some third-party repo from the erlang team (that’s according to the mobilizon, doc, hopefully in version 1.1 won’t need erlang at all anymore)
  • onlyoffice depends on rabbitmq-server, itself requiring erlang, but this time the vanilla debian version
1 Like

Yes, i have onlyoffice.
And is there a workaround or substitute to OnlyOffice with Nextcloud ?

There’s collabora which needs some work, c.f. Testing by alexAubin · Pull Request #40 · YunoHost-Apps/collabora_ynh · GitHub :confused:

1 Like

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.